Subject: Re: [RFC PATCH 1/3] strbuf: make add_lines() public

From: Junio C Hamano <[email-masked]>
Date: Tue, 31 Oct 2023 08:53:57 +0900

Jonathan Tan <[email-masked]> writes:

> Subsequent patches will require the ability to add different prefixes
> to different lines (depending on their contents), so make this
> functionality available from outside strbuf.c.

I do not think it is a good idea to force almost everybody to repeat
themselves.  As we can see here, all but just a single caller of
strbuf_add_lines() with this patch pass the same prefix for both
parameters.  If we need to make the current strbuf.c:add_lines()
also available to some specific callers, that is fine, but let's
keep the simpler version that almost everybody uses as-is, and give
the more complex and featureful one that is used only by selected
callers a longer and more cumbersome name.

Thanks.